version: '2'
services:
  bank-etl: 
    restart: always
    image: meidi/common-microservice-bank-etl:preview1.1.2
    ports: 
      - 80:1256
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-task: 
    restart: always
    image: meidi/common-microservice-bank-task:preview1.1.2
    ports: 
      - 81:8000
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-h5: 
    restart: always
    image: meidi/common-microservice-bank-h5:preview1.1.2
    ports: 
      - 82:1224
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-ccbchina: 
    restart: always
    image: meidi/common-microservice-bank-ccbchina:preview1.1.2
    ports: 
      - 83:8001
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-cibchina: 
    restart: always
    image: meidi/common-microservice-bank-cibchina:preview1.1.2
    ports: 
      - 84:9999
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-citicchina-creditcard: 
    restart: always
    image: meidi/common-microservice-bank-citicchina-creditcard:preview1.1.2
    ports: 
      - 85:5077
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-spdb-creditcard: 
    restart: always
    image: meidi/common-microservice-bank-spdb-creditcard:preview1.1.2
    ports: 
      - 86:4050
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-ccbchina: 
    restart: always
    image: meidi/common-microservice-bank-ccbchina:preview1.1.2
    ports: 
      - 87:8001
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-boc: 
    restart: always
    image: meidi/common-microservice-bank-boc:preview1.1.2
    ports: 
      - 88:10010
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
  bank-bocom-creditcard: 
    restart: always
    image: meidi/common-microservice-bank-bocom-creditcard:preview1.1.2
    ports: 
      - 89:10010
    labels:
      io.rancher.container.hostname_override: container_name
      io.rancher.container.pull_image: always
      io.rancher.scheduler.affinity:container_label_soft_ne: io.rancher.stack_service.name=$${stack_name}/$${service_name}
    environment: 
      - SPRING_PROFILES_ACTIVE=${active_database_type}
    external_links:
      - ${configserver_link}:configserver
      - ${zipkinserver_link}:zipkinserver
      - ${eurekaserver_link}:eurekaserver
